html,
body {
  height: 100%;
}

h1 {
  color: black;
}

.custom-file-label {
  border-radius: 40px;
  -moz-border-radius: 40px;
  -webkit-border-radius: 40px;
}

.custom-file-label::after {
  border-radius: 40px;
  -moz-border-radius: 40px;
  -webkit-border-radius: 40px;
}

.form-control {
  border-radius: 40px;
  -moz-border-radius: 40px;
  -webkit-border-radius: 40px;
}

#wf-fm-group {
  padding: 0;
}

.hero {
  height: 100%;
  margin: 0;
  padding: 0;
  background-image: linear-gradient(
      rgba(220, 220, 220, 0.9) 50%,
      rgba(220, 220, 220, 0.9) 50%
    ),
    url('../images/bg-header2.jpg');
  background-color: #cccccc;
  background-size: cover;
}

.left-btn,
.right-btn {
  border-radius: 40px;
  padding-left: 30px;
  padding-right: 30px;
}
.list-group {
  border-radius: 40px;
}

.banner {
  margin: 0;
  padding: 0;
  background-image: linear-gradient(
      rgba(220, 220, 220, 0.9) 50%,
      rgba(220, 220, 220, 0.9) 50%
    ),
    url('../images/bg-header2.jpg');
  background-color: #cccccc;
  background-size: cover;
  height: 300px;
  width: 100%;
  z-index: -1;
  position: absolute;
  top: 0;
  right: 0;
}

.list-group-item {
  border-radius: 40px;
  -moz-border-radius: 40px;
  -webkit-border-radius: 40px;
  padding-top: 5px;
  padding-bottom: 5px;
  padding-right: 5px;
}

.btn-rmv {
  background-color: Black;
  border: none;
  color: white;
  padding: 10px 14px;
  font-size: 16px;
  cursor: pointer;
  border-radius: 50%;
}

.navcon {
  margin: 0;
  padding: 0;
}

.nav-item {
  margin-left: 30px;
}

.nav-brand {
  width: 150px;
  display: block;
}

.plist {
  margin: auto 0;
}

.fm-ctrl-left {
  border-radius: 40px 0px 0px 40px;
  -moz-border-radius: 40px 0px 0px 40px;
  -webkit-border-radius: 40px 0px 0px 40px;
}

.fm-ctrl-center {
  border-radius: 0;
  -moz-border-radius: 0;
  -webkit-border-radius: 0;
}

.fm-ctrl-right {
  border-radius: 0px 40px 40px 0px;
  -moz-border-radius: 0px 40px 40px 0px;
  -webkit-border-radius: 0px 40px 40px 0px;
}

.btn-save {
  border: none;
  color: white;
  padding: 10px 14px;
  font-size: 16px;
  cursor: pointer;
}

.half-btn {
  width: 100px;
}

/* Scroll Bar */
::-webkit-scrollbar {
  width: 10px;
}

::-webkit-scrollbar-track {
  background: #f1f1f1;
}

::-webkit-scrollbar-thumb {
  background: #888;
  border-radius: 5px;
}

::-webkit-scrollbar-thumb:hover {
  background: #555;
}

.disabled_service {
  background-color: #e9ecef;
  opacity: 1;
}

.flash {
  color: #007bff;
  font-weight: bold;
  margin-bottom: 1.5rem !important;
}

.tree,
.tree ul,
.tree li {
  position: relative;
  padding-bottom: 10px;
}

.stem {
  padding: 0 0 0 8px;
  font-size: 24px;
  margin-right: 6px;
}

.stem::before {
  position: relative;
  content: '\1F4C4';
  top: 2px;
  margin-right: 6px;
}

.tree ul {
  list-style: none;
  padding-left: 32px;
}

.tree li::before,
.tree li::after {
  content: '';
  position: absolute;
  left: -12px;
}

.tree li::before {
  border-top: 3px solid #000;
  top: 9px;
  width: 16px;
  height: 0;
}

.tree li::after {
  border-left: 4px solid #000;
  height: 100%;
  width: 0px;
  top: 2px;
}

.tree ul > li:last-child::after {
  height: 8px;
}

.tree ul > li:last-child {
  padding-bottom: 0;
}

/* Style the caret/arrow */
.caret-down {
  cursor: pointer;
  user-select: none; /* Prevent text selection */
}

/* Rotate the caret/arrow icon when clicked on (using JavaScript) */
.caret-down::before {
  content: '\25B6';
  color: black;
  display: inline-block;
  margin-right: 6px;
  margin-left: 6px;
  transform: rotate(90deg);
}

.caret::before {
  transform: rotate(0deg);
}

.space::before {
  content: '\2000';
  color: black;
  display: inline-block;
  margin-right: 6px;
  margin-left: 6px;
}

.nested {
  display: none;
}

.active {
  display: block;
}

/* The Modal (background) */
.modal {
  display: none;
  position: fixed;
  z-index: 4;
  padding-top: 20vh;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgb(0, 0, 0);
  background-color: rgba(0, 0, 0, 0.4);
}

/* Modal Content */
.modal-content {
  background-color: #fefefe;
  margin: auto;
  padding: 20px;
  border: 1px solid #888;
  border-radius: 10px;
  width: 60%;
  max-height: 60vh;
}

/* The Close Button */
.modalClose {
  color: #aaaaaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.modalClose:hover,
.modalClose:focus {
  color: #000;
  text-decoration: none;
  cursor: pointer;
}

.servicemodalgrid {
  display: grid;
  grid-template-columns: 20% auto;
  grid-column-gap: 10px;
  grid-row-gap: 10px;
}

.action {
  cursor: pointer;
}

.action-lg {
  cursor: pointer;
  font-size: 20px;
}

.scroll{
	overflow-y: auto;
	padding: 0 25px;
}

.scroll::-webkit-scrollbar-thumb,
.scroll::-webkit-scrollbar-track {
	visibility: hidden;
}

.scroll:hover::-webkit-scrollbar-thumb,
.scroll:hover::-webkit-scrollbar-track {
	visibility: visible;
}

.tag {
  border-radius: 15px;
}

.tagText {
  font-size: 12px;
}

#configurationParameterOptions {
  height: 50px;
  border-radius: 15px;
  overflow-x: auto;
}

.dropdown {
  position: relative;
  display: inline-block;
}

#dropdown-content {
  display: none;
  position: absolute;
  background-color: #f1f1f1;
  min-width: 160px;
  box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
  z-index: 1;
}

#dropdown-content a {
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
}

#dropdown-content a:hover {
  background-color: #ddd;
}

.disabled_control {
  pointer-events: none;
}

.index-btn{
	width: 200px;
}

.config-desc{
	font-size: 10px;
}